Page MenuHomePhabricator

"Cross-wiki" uploads from Commons to Commons have no upload comment and license
Closed, ResolvedPublic

Description

"Cross-wiki" uploads from Commons to Commons have no upload comment. Example file I uploaded from the wikitext editor there: https://commons.wikimedia.org/wiki/File:Cross-wiki_uploads_to_Commons,_2015-10-21_to_2015-12-09.png. As stupid as it sounds, I think "Cross-wiki upload from commons.wikimedia.org" would make more sense.

Event Timeline

matmarex created this task.Dec 9 2015, 8:18 PM
matmarex claimed this task.
matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
matmarex added a project: MediaWiki-Uploading.
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptDec 9 2015, 8:18 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptDec 10 2015, 3:07 PM
matmarex renamed this task from "Cross-wiki" uploads from Commons to Commons have no upload comment to "Cross-wiki" uploads from Commons to Commons have no upload comment and license.Dec 10 2015, 3:08 PM
matmarex set Security to None.

Change 287103 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/287103

After https://gerrit.wikimedia.org/r/#/c/285708/, this also affects uploads from test2wiki or testwiki (to testwiki). We hardcode the name of Commons's file repository and it's not the same as the testwiki's one (duh).

Change 287103 merged by jenkins-bot:
Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/287103

Change 289126 had a related patch set uploaded (by Bartosz Dziewoński):
Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/289126

Change 289126 merged by jenkins-bot:
Refactor upload dialog to make it configurable

https://gerrit.wikimedia.org/r/289126